Bug 144742 - (snd_intel8x0) ALSA not working in 2.6.10
(snd_intel8x0) ALSA not working in 2.6.10
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
: 137637 140590 144848 144858 144879 144892 145059 145408 145873 145925 149099 150516 162228 166770 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-10 20:36 EST by Damien D Keffyn
Modified: 2015-01-04 17:15 EST (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 20:21:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien D Keffyn 2005-01-10 20:36:58 EST
Description of problem:

ALSA has ceased to work when upgrading from 2.6.9.* to 2.9.10

I am not sure if anyone else has this issue. Sound works 100% in 2.6.9*

The hardware is a IBM R40 laptop. Sound has never been an issue in the
past.
Comment 1 Dave Jones 2005-01-10 21:36:03 EST
what audio related messages are in output of dmesg ?   lspci output too please.
Comment 2 Damien D Keffyn 2005-01-10 22:01:15 EST
DMESG-->


[dkeffyn@MAGAUS-IT-0001 ~]$ dmesg
0: 00000000000dc000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001ff60000 (usable)
 BIOS-e820: 000000001ff60000 - 000000001ff78000 (ACPI data)
 BIOS-e820: 000000001ff78000 - 000000001ff7a000 (ACPI NVS)
 BIOS-e820: 000000001ff80000 - 0000000020000000 (reserved)
 BIOS-e820: 00000000ff800000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
511MB LOWMEM available.
On node 0 totalpages: 130912
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 126816 pages, LIFO batch:16
  HighMem zone: 0 pages, LIFO batch:1
DMI present.
ACPI: RSDP (v002 IBM                                   ) @ 0x000f6d40
ACPI: XSDT (v001 IBM    TP-1P    0x00001130  LTP 0x00000000) @ 0x1ff6e4e6
ACPI: FADT (v003 IBM    TP-1P    0x00001130 IBM  0x00000001) @ 0x1ff6e600
ACPI: SSDT (v001 IBM    TP-1P    0x00001130 MSFT 0x0100000e) @ 0x1ff6e7b4
ACPI: ECDT (v001 IBM    TP-1P    0x00001130 IBM  0x00000001) @ 0x1ff77ea3
ACPI: TCPA (v001 IBM    TP-1P    0x00001130 PTL  0x00000001) @ 0x1ff77ef5
ACPI: BOOT (v001 IBM    TP-1P    0x00001130  LTP 0x00000001) @ 0x1ff77fd8
ACPI: DSDT (v001 IBM    TP-1P    0x00001130 MSFT 0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0x1008
Built 1 zonelists
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
Initializing CPU#0
CPU 0 irqstacks, hard=c03cb000 soft=c03ca000
PID hash table entries: 2048 (order: 11, 32768 bytes)
Detected 1399.250 MHz processor.
Using pmtmr for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 514016k/523648k available (2011k kernel code, 9088k reserved, 653k data,
164k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay loop... 2777.08 BogoMIPS (lpj=1388544)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512 (order: 0, 4096 bytes)
CPU: After generic identify, caps: a7e9f9bf 00000000 00000000 00000000
CPU: After vendor identify, caps:  a7e9f9bf 00000000 00000000 00000000
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 1024K
CPU: After all inits, caps:        a7e9f1bf 00000000 00000000 00000040
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: Intel(R) Pentium(R) M processor 1400MHz stepping 05
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
ACPI: setting ELCR to 0200 (from 0800)
checking if image is initramfs... it is
Freeing initrd memory: 945k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfd936, last bus=5
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20041105
ACPI: Found ECDT
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 9 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 10 *11)
ACPI: PCI Root Bridge [PCI0] (00:00)
PCI: Probing PCI hardware (bus 00)
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: Embedded Controller [EC] (gpe 28)
ACPI: Power Resource [PUBS] (on)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI1._PRT]
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 13 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
** PCI interrupts are no longer routed automatically.  If this
** causes a device to stop working, it is probably because the
** driver failed to call pci_enable_device().  As a temporary
** workaround, the "pci=routeirq" argument restores the old
** behavior.  If this argument makes the device work again,
** please email the output of "lspci" to bjorn.helgaas@hp.com
** so I can fix the driver.
Simple Boot Flag at 0x35 set to 0x1
IBM machine detected. Enabling interrupts during APM calls.
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1105451275.063:0): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key C901403B561B4BCD
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Processor [CPU] (supports C1 C2 C3)
ACPI: Processor [CPU] (supports 8 throttling states)
ACPI: Thermal Zone [THM0] (54 C)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.100 (c) Dave Jones
agpgart: Detected an Intel 855PM Chipset.
agpgart: Maximum main memory to use for agp memory: 439M
agpgart: AGP aperture is 256M @ 0xd0000000
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 76 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a NS16550A
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 11
PCI: setting IRQ 11 as level-triggered
ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI 11 (level, low) -> IRQ 11
ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
divert: not allocating divert_blk for non-ethernet device lo
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH4: IDE controller at PCI slot 0000:00:1f.1
PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI 11 (level, low) -> IRQ 11
ICH4: chipset revision 1
ICH4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x1860-0x1867, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0x1868-0x186f, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
hda: HITACHI_DK23DA-40, ATA DISK drive
elevator: using anticipatory as default io scheduler
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: HL-DT-STCD-RW/DVD DRIVE GCC-4240N, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 128KiB
hda: 78140160 sectors (40007 MB) w/2048KiB Cache, CHS=65535/16/63, UDMA(100)
hda: cache flushes supported
 hda: hda1 hda2
hdc: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard on isa0060/serio0
Synaptics Touchpad, model: 1
 Firmware: 5.9
 Sensor: 44
 new absolute packet format
 Touchpad has extended capability bits
 -> multifinger detection
 -> palm detection
 -> pass-through port
input: SynPS/2 Synaptics TouchPad on isa0060/serio1
serio: Synaptics pass-through port at isa0060/serio1/input0
input: PS/2 Generic Mouse on synaptics-pt/serio0
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 1024 buckets, 32Kbytes
TCP: Hash tables configured (established 32768 bind 9362)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
ACPI wakeup devices:
 LID SLPB PCI0 UART PCI1 USB0 USB1 USB2 AC9M
ACPI: (supports S0 S3 S4 S5)
Freeing unused kernel memory: 164k freed
device-mapper: 4.3.0-ioctl (2004-09-30) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
security:  3 users, 4 roles, 316 types, 20 bools
security:  53 classes, 10700 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev dm-0, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), not configured for labeling
SELinux: initialized (dev hugetlbfs, type hugetlbfs), not configured for labeling
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
e100: Intel(R) PRO/100 Network Driver, 3.2.3-k2-NAPI
e100: Copyright(c) 1999-2004 Intel Corporation
ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 11
ACPI: PCI interrupt 0000:02:08.0[A] -> GSI 11 (level, low) -> IRQ 11
divert: allocating divert_blk for eth0
e100: eth0: e100_probe: addr 0xc0201000, irq 11, MAC addr 00:06:1B:D4:15:AD
ieee80211_crypt: registered algorithm 'NULL'
ipw2100: Intel(R) PRO/Wireless 2100 Network Driver, 1.0.0
ipw2100: Copyright(c) 2003-2004 Intel Corporation
ACPI: PCI interrupt 0000:02:02.0[A] -> GSI 11 (level, low) -> IRQ 11
ipw2100: Detected Intel PRO/Wireless 2100 Network Connection
divert: allocating divert_blk for eth1
ACPI: PCI interrupt 0000:00:1f.5[B] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1f.5 to 64
intel8x0_measure_ac97_clock: measured 49461 usecs
intel8x0: clocking to 48000
ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1f.6 to 64
hw_random: RNG not detected
ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI 11 (level, low) -> IRQ 11
ehci_hcd 0000:00:1d.7: EHCI Host Controller
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: irq 11, pci mem 0xc0000000
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
PCI: cache line size of 32 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: USB 2.0 initialized, EHCI 1.00, driver 26 Oct 2004
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 6 ports detected
USB Universal Host Controller Interface driver v2.2
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1d.0[A] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:1d.0: UHCI Host Controller
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: irq 11, io base 0x1800
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1d.1[B] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:1d.1: UHCI Host Controller
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: irq 11, io base 0x1820
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
ACPI: PCI interrupt 0000:00:1d.2[C] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:1d.2: UHCI Host Controller
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: irq 11, io base 0x1840
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
usb 3-1: new low speed USB device using uhci_hcd and address 2
Linux Kernel Card Services
  options:  [pci] [cardbus] [pm]
ACPI: PCI interrupt 0000:02:00.0[A] -> GSI 11 (level, low) -> IRQ 11
Yenta: CardBus bridge found at 0000:02:00.0 [1014:0528]
Yenta: Using INTVAL to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:02:00.0, mfunc 0x01d11002, devctl 0x64
input: USB HID v1.10 Mouse [Microsoft Microsoft 5-Button Mouse with
IntelliEye(TM)] on usb-0000:00:1d.1-1
Yenta: ISA IRQ mask 0x04b8, PCI irq 11
Socket status: 30000007
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
NET: Registered protocol family 10
Disabled Privacy Extensions on device c0360380(lo)
IPv6 over IPv4 tunneling driver
divert: not allocating divert_blk for non-ethernet device sit0
ACPI: AC Adapter [AC] (on-line)
ACPI: Battery Slot [BAT0] (battery present)
ACPI: Power Button (FF) [PWRF]
ACPI: Lid Switch [LID]
ACPI: Sleep Button (CM) [SLPB]
ibm_acpi: IBM ThinkPad ACPI Extras v0.8
ibm_acpi: http://ibm-acpi.sf.net/
ACPI: Video Device [VID] (multi-head: yes  rom: no  post: no)
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda1, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
Adding 1048568k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
parport: PnPBIOS parport detected.
parport0: PC-style at 0x3bc, irq 7 [PCSPP,TRISTATE]
pnp: Device 00:0a disabled.
ieee1394: Initialized config rom entry `ip1394'
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (4091 buckets, 32728 max) - 360 bytes per conntrack
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
eth0: no IPv6 routers present
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
device eth0 entered promiscuous mode
pnp: Device 00:0a activated.
parport: PnPBIOS parport detected.
parport0: PC-style at 0x3bc, irq 7 [PCSPP,TRISTATE]
lp0: using parport0 (interrupt-driven).
lp0: console ready
Universal TUN/TAP device driver 1.5 (C)1999-2002 Maxim Krasnyansky
ACPI: PCI interrupt 0000:01:00.0[A] -> GSI 11 (level, low) -> IRQ 11
[drm] Initialized radeon 1.11.0 20020828 on minor 0:
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 1x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 1x mode
[dkeffyn@MAGAUS-IT-0001 ~]$    



LSPCI  -->

     [dkeffyn@MAGAUS-IT-0001 ~]$ /sbin/lspci
00:00.0 Host bridge: Intel Corp. 82855PM Processor to I/O Controller (rev 03)
00:01.0 PCI bridge: Intel Corp. 82855PM Processor to AGP Controller (rev 03)
00:1d.0 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB
UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB
UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB
UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corp. 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corp. 82801 Mobile PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corp. 82801DBM (ICH4-M) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4-M) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller
(rev 01)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem
Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW
[Radeon Mobility 7500]
02:00.0 CardBus bridge: Texas Instruments PCI1510 PC card Cardbus Controller
02:02.0 Network controller: Intel Corp. PRO/Wireless LAN 2100 3B Mini PCI
Adapter (rev 04)
02:08.0 Ethernet controller: Intel Corp. 82801DB PRO/100 VE (MOB) Ethernet
Controller (rev 81)
                                                                         
Comment 3 Dave Jones 2005-01-10 22:21:35 EST
does booting with pci=routeirq make any difference ?

Comment 4 Damien D Keffyn 2005-01-10 22:27:33 EST
I have no idea, how do I do that? I would prefer to not break anything as it is
working 100% in 2.6.9*.
Comment 5 Dave Jones 2005-01-10 22:30:58 EST
you won't break anything, its a one-off thing that goes away with a reboot..

when you get to the grub screen, press 'e', and you get to edit the entry the
cursor is over.  move to the line that ends with 'quiet rhgb', and add
pci=routeirq

then hit 'b' and it should boot using that extra argument.
Comment 6 Damien D Keffyn 2005-01-11 05:34:06 EST
ok tried this, same result, all seems fine, xmms plays but no audio, control
center in KDE also plays no sound when I test sound, there is simply just no
sound, and no errors.....

And yes the speakers are on and turned up, I have perfect sound (from multiple
sources simultaneously) in 2.6.9*
Comment 7 rohirrim 2005-01-11 08:18:41 EST
Hi there,

I'm experiencing the exact same issue. I'm running an IBM X31 laptop,
sound card is an snd_intel8x0 . Sound works perfectly in previous
kernels. I will try it with my home machine (which has an other
soundcard) and report on that in the evening. 

Thanks,

Stef
Comment 8 Mikhail Lukachev 2005-01-11 10:48:33 EST
Hi, all.

The same problem on T41,
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)

When I load the system with "pci=routeirq" option it fails with kernel
panic.

Sound works well with kernel-2.6.9-1.724_FC3.

Mikhail
Comment 9 Sammy 2005-01-11 11:10:39 EST
Sound works fine on T42 with vanila 2.6.10. Problem here is coming from 
alsa updates in the -acX series. 
Comment 10 rohirrim 2005-01-11 18:35:57 EST
Just to add that sound with the new kernel works correctly on my home
box (which is not an ibm laptop). The lack of sound seems to be a
problem with the thinkpads/snd_intel8x0.
Comment 11 Damien D Keffyn 2005-01-12 00:41:02 EST
will there be any possible fix, or will I have to roll back to 2.6.9*?
Comment 12 Dave Jones 2005-01-12 00:43:42 EST
I'm looking at getting another update out by the end of the week
hopefully fixing this and a bunch of other odds and ends that came up
with the last update.
Comment 13 Damien D Keffyn 2005-01-12 00:46:26 EST
beautiful :)
Comment 14 Euan Troup 2005-01-13 02:26:21 EST
I found that copying ICH4.conf from alsa-lib-1.0.7 to /etc/alsa/cards
made my ICH5 sound card work again. I think this means FC3 needs to
update to alsa-lib-1.0.7 with kernel 2.6.10
Comment 15 Damien D Keffyn 2005-01-13 04:09:14 EST
how did you grt ICH4.conf out of alsa-lib-1.0.7?
Comment 16 Damien D Keffyn 2005-01-13 04:21:06 EST
Never mind, I found it...
Comment 17 Damien D Keffyn 2005-01-13 04:48:53 EST
Still no audio though
Comment 18 John Flynn 2005-01-13 09:11:29 EST
Is there a stand-alone patch that can be applied to the previous 2.6.9
kernel that fixes the security issues (and ONLY the security issues)?

-John
Comment 19 Euan Troup 2005-01-13 18:21:45 EST
Sorry Damien, I have also installed the alsa-lib-1.0.7 libasound
(_then_ I found I needed ICH4.conf as well) I forgot to mention that
because after installing the library it was the next day before I
figured out the next ep.
Comment 20 Dave Jones 2005-01-13 21:16:34 EST
*** Bug 144848 has been marked as a duplicate of this bug. ***
Comment 21 Dave Jones 2005-01-13 21:17:02 EST
*** Bug 144879 has been marked as a duplicate of this bug. ***
Comment 22 Dave Jones 2005-01-13 21:17:32 EST
*** Bug 144892 has been marked as a duplicate of this bug. ***
Comment 23 Dave Jones 2005-01-13 21:18:00 EST
*** Bug 145059 has been marked as a duplicate of this bug. ***
Comment 24 Warren Togami 2005-01-13 21:33:12 EST
Is this a kernel issue, or is the new kernel no longer compatible with the older
alsa-lib in FC3?

stransky@redhat.com is currently doing testing to see if we can safely upgrade
alsa-lib.
Comment 25 Martin Stransky 2005-01-14 03:42:02 EST
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=144858
sounds similar
Comment 26 Sinan H 2005-01-14 05:49:34 EST
Same probleme here, on dell precision desktop:
kernel-2.6.10-1.741_FC3
snd_intel8x0
Comment 27 Kent Engström 2005-01-14 07:18:39 EST
Also experienced loss of sound with kernel 737_FC3 on IBM R40 with

00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/
ICH4-M) AC'97 Audio Controller (rev 03)

With the new 741_FC3 kernel, sound works again.
Comment 28 Kris Rickerson 2005-01-14 08:33:50 EST
I am having the same issue as previously reported.  This is on a Compaq Evo with the 
AC97 controller using snd-intel8x0 driver.  This happens on both the 737_FC3 and the 
new 741_FC3 kernel.  2.6.9* kernels work fine.  pci=routeirq made no difference.

I will be glad to post dmesg, etc. upon request.
Comment 29 John Flynn 2005-01-14 09:14:20 EST
STILL not working under FC2 with 2.6.10-1.9

Come on guys, this would be acceptable if the 2.6.10 updates weren't a
MAJOR security fix, but it is, and right now folks have to decide
between having working sound and a secure system. This is BAD BAD BAD!

-John
Comment 30 Martin Stransky 2005-01-14 10:06:49 EST
I can reproduce this bug on IBM ThinkPad T41 and there are results:

kernel-2.6.10-1.1087_FC4.i585.rpm (alsa drivers 1.0.8rc2, lib 1.0.8) =
no sound
kernel-2.6.10-1.741_FC3.i586.rpm (alsa drivers 1.0.6, lib 1.0.6) = no
sound
kernel-2.6.10-1.737_FC3.i586.rpm (alsa drivers 1.0.6, lib 1.0.6) = no
sound

kernel-2.6.9-1.667.i686.rpm (alsa-drivers 1.0.6, lib 1.0.6) = sound
Comment 31 Martin Stransky 2005-01-14 10:13:01 EST
*** Bug 144858 has been marked as a duplicate of this bug. ***
Comment 32 Satish Balay 2005-01-14 14:25:07 EST
Maybe folks can try and see if the following workarround enables audio:
(M)ute 'Headphone Jack Sense' in 'alsamixer'

https://www.redhat.com/archives/fedora-list/2005-January/msg03474.html

Comment 33 Kris Rickerson 2005-01-14 14:35:06 EST
I muted the Headphone Jack Sense as suggested, and now I have sound through XMMS and 
Winamp through Wine.  Thanks Satish!
Comment 34 charles harris 2005-01-14 15:05:11 EST
Muting Headphone Jack Sense works for me. Dual Xeon with Intel 81X0
Comment 35 Kevin DeKorte 2005-01-14 15:25:41 EST
I can confirm that kernel 737 does work if both headphone jack sense
and line jack sense are off (mute) on a T41p
Comment 36 John Flynn 2005-01-14 16:45:01 EST
Fixed! It was headphone jack sense and line jack sense for me too.

Gotta love unexpected ALSA changes. Arrgh!

Thanks folks!

Comment 37 Scott Boyd 2005-01-14 18:54:11 EST
Something interesting.  Did anyone try to plug headphones in when the
sound wasn't working.  Once I muted the headphone sense and line jack
sense my speakers started working also.  So I unmuted them and plugged
in headphones.  Sure enough sound worked just fine through the
headphones, but unplug them and nothing from the speakers unless you
mute the two sense options.

Thanks to Kris and Satish for the fix.
Comment 38 Scott Boyd 2005-01-14 19:04:15 EST
Something interesting.  Did anyone try to plug headphones in when the
sound wasn't working.  Once I muted the headphone sense and line jack
sense my speakers started working also.  So I unmuted them and plugged
in headphones.  Sure enough sound worked just fine through the
headphones, but unplug them and nothing from the speakers unless you
mute the two sense options.

Thanks to Kris and Satish for the fix.
Comment 39 Scott Boyd 2005-01-14 19:20:14 EST
Sorry for the double post.  A browser error, appeared not to post it
the first time.
Comment 40 Miloš Komarčević 2005-01-15 12:29:43 EST
I've been having ALSA problems with the 2.6.10 kernel upgrade, but I'm
NOT using snd_intel8x0. My sound worked ok on a TP 600E (snd_cs4236)
with the last 2.6.9 kernel update. Now I get:

# modprobe snd-cs4236
FATAL: Error inserting snd_cs4236
(/lib/modules/2.6.10-1.741_FC3/kernel/sound/isa/cs423x/snd-cs4236.ko):
Unknown symbol in module, or unknown parameter (see dmesg)

with quite a few 

snd_cs4236: Unknown parameter `'

lines in the dmesg output. I have 

options snd-cs4236 isapnp=0 cport=0x538 port=0x530 sb_port=0x220
fm_port=0x388 irq=5 dma1=1 dma2=0

in /etc/modprobe.conf since these were required to get sound working
before on TP 600E.
Comment 41 Satish Balay 2005-01-15 14:42:04 EST
(In reply to comment #40)
> My sound worked ok on a TP 600E (snd_cs4236) with the last 2.6.9 kernel update.

This might a different bugzilla item  #144767
Comment 42 Warren Togami 2005-01-16 22:42:18 EST
Please post comments in your bug only if they are about snd_intel8x0.  If you
use a different sound driver, then your comments belong in other reports in
order to reduce confusion.
Comment 43 Warren Togami 2005-01-17 04:23:28 EST
OK, so the issue is the new ALSA driver is providing these new jack detect
controls which default to a broken non-obvious setting.  We must change our
software to make the default actually work.  Where is the best place to fix this?

Is it possible to make existing profiles unbroken when the default is changed? 
I'm guessing not.
Comment 44 Warren Togami 2005-01-23 20:40:29 EST
*** Bug 145925 has been marked as a duplicate of this bug. ***
Comment 45 Oliver Jones 2005-01-23 23:13:11 EST
I had the same issue.  Fixed by muting to the Line and Headphone Jack
sense controls on my HP Compaq nx7010. 
Comment 46 Warren Togami 2005-01-24 22:11:18 EST
*** Bug 145873 has been marked as a duplicate of this bug. ***
Comment 47 João Craveiro 2005-01-26 11:50:39 EST
On my FC3, the only control I had to mute was "IEC958 Capture Monitor"
-- maybe that is the reason why the workarund is not being so obvious
for some.
Comment 48 LEO MURARO 2005-01-26 14:51:00 EST
"IEC958 Capture Monitor"
How about throwing a clue to those of use who are not imtimately
aquainted with ALSA? Most us us just know about alsamixer.
Thanks
Comment 49 Kaj J. Niemi 2005-02-01 09:38:42 EST
For the record, the workaround given (mute line headphone sense) makes
sound work on an all rawhide system running 2.6.10-1.1115_FC4 on a IBM
T40p.
Comment 50 Andrew Surratt 2005-02-01 13:38:49 EST
I've tried all of the above, as well as the stuff in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=140590, and I've
gotten nowhere.  Any other information and/or ideas for me to try out?


(surratta@bogota) ~ $ uname -a
Linux bogota 2.6.10-1.741_FC3 #1 Thu Jan 13 16:38:22 EST 2005 i686
i686 i386 GNU/Linux


(surratta@bogota) ~ $ yum list all | grep alsa
alsa-lib.i386                            1.0.6-7.FC3            installed
alsa-lib-debuginfo.i386                  1.0.6-7.FC3            installed
alsa-lib-devel.i386                      1.0.6-7.FC3            installed
alsa-utils.i386                          1.0.6-3                installed


(surratta@bogota) ~ $ cat /etc/modprobe.conf
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ;
}; /sbin/modprobe -r --ignore-remove snd-intel8x0
alias eth0 e1000
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias ieee1394-controller ohci1394
alias char-major-195* nvidia


(root@bogota) ~ # lsmod | grep snd
snd_intel8x0           32865  2
snd_ac97_codec         67105  1 snd_intel8x0
snd_pcm_oss            47861  0
snd_mixer_oss          17089  2 snd_pcm_oss
snd_pcm                92233  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              28357  1 snd_pcm
snd                    52261  8
snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9889  2 snd
snd_page_alloc          9541  2 snd_intel8x0,snd_pcm
Comment 51 Elyse M. Grasso 2005-02-10 19:08:55 EST
I upgraded to FC3 from FC2 (which had been working ok) last night and 
my sound driver is not just merely dead, it's really most sincerely 
dead. On boot my message file fills up with:  
 
snd_intel8x0: Unknown symbol snd_card_free 
snd_intel8x0: Unknown symbol snd_pcm_lib_preallocate_pages_for_all 
snd_intel8x0: Unknown symbol snd_card_proc_new 
snd_intel8x0: Unknown symbol snd_ac97_pcm_open 
snd_intel8x0: Unknown symbol snd_ac97_set_rate 
snd_intel8x0: Unknown symbol snd_ac97_update_bits 
snd_intel8x0: Unknown symbol snd_ac97_mixer 
snd_intel8x0: Unknown symbol snd_card_pci_resume 
snd_intel8x0: Unknown symbol snd_ac97_bus 
snd_intel8x0: Unknown symbol snd_ac97_pcm_double_rate_rules 
snd_intel8x0: Unknown symbol snd_card_new 
snd_intel8x0: Unknown symbol snd_ac97_suspend 
snd_intel8x0: Unknown symbol snd_iprintf 
snd_intel8x0: Unknown symbol snd_pcm_lib_malloc_pages 
snd_intel8x0: Unknown symbol snd_pcm_lib_ioctl 
snd_intel8x0: Unknown symbol snd_pcm_lib_free_pages 
snd_intel8x0: Unknown symbol snd_card_pci_suspend 
snd_intel8x0: Unknown symbol snd_pcm_set_ops 
snd_intel8x0: Unknown symbol snd_card_set_pm_callback 
snd_intel8x0: Unknown symbol snd_pcm_hw_constraint_list 
snd_intel8x0: Unknown symbol snd_device_new 
snd_intel8x0: Unknown symbol snd_ac97_get_short_name 
snd_intel8x0: Unknown symbol snd_pcm_suspend_all 
snd_intel8x0: Unknown symbol snd_ac97_pcm_assign 
snd_intel8x0: Unknown symbol snd_pcm_hw_constraint_integer 
snd_intel8x0: Unknown symbol snd_pcm_hw_constraint_msbits 
snd_intel8x0: Unknown symbol snd_pcm_period_elapsed 
snd_intel8x0: Unknown symbol snd_ac97_tune_hardware 
snd: Unknown parameter `' 
snd_timer: Unknown symbol snd_info_register 
snd_timer: Unknown symbol snd_info_create_module_entry 
snd_timer: Unknown symbol snd_info_free_entry 
snd_timer: Unknown symbol snd_iprintf 
snd_timer: Unknown symbol snd_ecards_limit 
snd_timer: Unknown symbol snd_oss_info_register 
snd_timer: Unknown symbol snd_unregister_device 
snd_timer: Unknown symbol snd_device_new 
snd_timer: Unknown symbol snd_kmalloc_strdup 
snd_timer: Unknown symbol snd_info_unregister 
snd_timer: Unknown symbol snd_register_device 
snd: Unknown parameter `' 
snd_timer: Unknown symbol snd_info_register 
snd_timer: Unknown symbol snd_info_create_module_entry 
snd_timer: Unknown symbol snd_info_free_entry 
snd_timer: Unknown symbol snd_iprintf 
snd_timer: Unknown symbol snd_ecards_limit 
snd_timer: Unknown symbol snd_oss_info_register 
snd_timer: Unknown symbol snd_unregister_device 
snd_timer: Unknown symbol snd_device_new 
snd_timer: Unknown symbol snd_kmalloc_strdup 
snd_timer: Unknown symbol snd_info_unregister 
snd_timer: Unknown symbol snd_register_device 
snd_pcm: Unknown symbol snd_info_register 
snd_pcm: Unknown symbol snd_info_create_module_entry 
snd_pcm: Unknown symbol snd_timer_notify 
snd_pcm: Unknown symbol snd_timer_interrupt 
snd_pcm: Unknown symbol snd_info_free_entry 
snd_pcm: Unknown symbol snd_info_get_str 
snd_pcm: Unknown symbol snd_ctl_register_ioctl 
snd_pcm: Unknown symbol snd_card_file_add 
snd_pcm: Unknown symbol snd_iprintf 
snd_pcm: Unknown symbol snd_major 
snd_pcm: Unknown symbol snd_unregister_device 
snd_pcm: Unknown symbol snd_timer_new 
snd_pcm: Unknown symbol snd_device_new 
snd_pcm: Unknown symbol snd_ctl_unregister_ioctl 
snd_pcm: Unknown symbol snd_info_create_card_entry 
snd_pcm: Unknown symbol snd_power_wait 
snd_pcm: Unknown symbol snd_device_free 
snd_pcm: Unknown symbol snd_card_file_remove 
snd_pcm: Unknown symbol snd_info_unregister 
snd_pcm: Unknown symbol snd_device_register 
snd_pcm: Unknown symbol snd_register_device 
snd_pcm: Unknown symbol snd_info_get_line 
snd_ac97_codec: Unknown symbol snd_info_register 
snd_ac97_codec: Unknown symbol snd_ctl_add 
snd_ac97_codec: Unknown symbol snd_info_free_entry 
snd_ac97_codec: Unknown symbol snd_interval_refine 
snd_ac97_codec: Unknown symbol snd_ctl_find_id 
snd_ac97_codec: Unknown symbol snd_ctl_new1 
snd_ac97_codec: Unknown symbol snd_ctl_remove_id 
snd_ac97_codec: Unknown symbol snd_component_add 
snd_ac97_codec: Unknown symbol snd_pcm_hw_rule_add 
snd_ac97_codec: Unknown symbol snd_iprintf 
snd_ac97_codec: Unknown symbol snd_device_new 
snd_ac97_codec: Unknown symbol snd_info_create_card_entry 
snd_ac97_codec: Unknown symbol snd_info_unregister 
snd_intel8x0: Unknown symbol snd_ac97_pcm_close 
snd_intel8x0: Unknown symbol snd_ac97_resume 
snd_intel8x0: Unknown symbol snd_pcm_new 
snd_intel8x0: Unknown symbol snd_pcm_limit_hw_rates 
snd_intel8x0: Unknown symbol snd_card_register 
snd_intel8x0: Unknown symbol snd_card_free 
snd_intel8x0: Unknown symbol snd_pcm_lib_preallocate_pages_for_all 
snd_intel8x0: Unknown symbol snd_card_proc_new 
snd_intel8x0: Unknown symbol snd_ac97_pcm_open 
snd_intel8x0: Unknown symbol snd_ac97_set_rate 
snd_intel8x0: Unknown symbol snd_ac97_update_bits 
snd_intel8x0: Unknown symbol snd_ac97_mixer 
snd_intel8x0: Unknown symbol snd_card_pci_resume 
snd_intel8x0: Unknown symbol snd_ac97_bus 
snd_intel8x0: Unknown symbol snd_ac97_pcm_double_rate_rules 
snd_intel8x0: Unknown symbol snd_card_new 
snd_intel8x0: Unknown symbol snd_ac97_suspend 
snd_intel8x0: Unknown symbol snd_iprintf 
snd_intel8x0: Unknown symbol snd_pcm_lib_malloc_pages 
snd_intel8x0: Unknown symbol snd_pcm_lib_ioctl 
snd_intel8x0: Unknown symbol snd_pcm_lib_free_pages 
snd_intel8x0: Unknown symbol snd_card_pci_suspend 
snd_intel8x0: Unknown symbol snd_pcm_set_ops 
snd_intel8x0: Unknown symbol snd_card_set_pm_callback 
snd_intel8x0: Unknown symbol snd_pcm_hw_constraint_list 
snd_intel8x0: Unknown symbol snd_device_new 
snd_intel8x0: Unknown symbol snd_ac97_get_short_name 
snd_intel8x0: Unknown symbol snd_pcm_suspend_all 
snd_intel8x0: Unknown symbol snd_ac97_pcm_assign 
snd_intel8x0: Unknown symbol snd_pcm_hw_constraint_integer 
snd_intel8x0: Unknown symbol snd_pcm_hw_constraint_msbits 
snd_intel8x0: Unknown symbol snd_pcm_period_elapsed 
snd_intel8x0: Unknown symbol snd_ac97_tune_hardware 
snd: Unknown parameter `' 
snd_timer: Unknown symbol snd_info_register 
snd_timer: Unknown symbol snd_info_create_module_entry 
snd_timer: Unknown symbol snd_info_free_entry 
snd_timer: Unknown symbol snd_iprintf 
snd_timer: Unknown symbol snd_ecards_limit 
snd_timer: Unknown symbol snd_oss_info_register 
snd_timer: Unknown symbol snd_unregister_device 
snd_timer: Unknown symbol snd_device_new 
snd_timer: Unknown symbol snd_kmalloc_strdup 
snd_timer: Unknown symbol snd_info_unregister 
snd_timer: Unknown symbol snd_register_device 
snd: Unknown parameter `' 
snd_timer: Unknown symbol snd_info_register 
snd_timer: Unknown symbol snd_info_create_module_entry 
snd_timer: Unknown symbol snd_info_free_entry 
snd_timer: Unknown symbol snd_iprintf 
snd_timer: Unknown symbol snd_ecards_limit 
snd_timer: Unknown symbol snd_oss_info_register 
snd_timer: Unknown symbol snd_unregister_device 
snd_timer: Unknown symbol snd_device_new 
snd_timer: Unknown symbol snd_kmalloc_strdup 
snd_timer: Unknown symbol snd_info_unregister 
snd_timer: Unknown symbol snd_register_device 
snd_pcm: Unknown symbol snd_info_register 
snd_pcm: Unknown symbol snd_info_create_module_entry 
snd_pcm: Unknown symbol snd_timer_notify 
snd_pcm: Unknown symbol snd_timer_interrupt 
snd_pcm: Unknown symbol snd_info_free_entry 
snd_pcm: Unknown symbol snd_info_get_str 
snd_pcm: Unknown symbol snd_ctl_register_ioctl 
snd_pcm: Unknown symbol snd_card_file_add 
snd_pcm: Unknown symbol snd_iprintf 
snd_pcm: Unknown symbol snd_major 
snd_pcm: Unknown symbol snd_unregister_device 
snd_pcm: Unknown symbol snd_timer_new 
snd_pcm: Unknown symbol snd_device_new 
snd_pcm: Unknown symbol snd_ctl_unregister_ioctl 
snd_pcm: Unknown symbol snd_info_create_card_entry 
snd_pcm: Unknown symbol snd_power_wait 
snd_pcm: Unknown symbol snd_device_free 
snd_pcm: Unknown symbol snd_card_file_remove 
snd_pcm: Unknown symbol snd_info_unregister 
snd_pcm: Unknown symbol snd_device_register 
snd_pcm: Unknown symbol snd_register_device 
snd_pcm: Unknown symbol snd_info_get_line 
snd_ac97_codec: Unknown symbol snd_info_register 
snd_ac97_codec: Unknown symbol snd_ctl_add 
snd_ac97_codec: Unknown symbol snd_info_free_entry 
snd_ac97_codec: Unknown symbol snd_interval_refine 
snd_ac97_codec: Unknown symbol snd_ctl_find_id 
snd_ac97_codec: Unknown symbol snd_ctl_new1 
snd_ac97_codec: Unknown symbol snd_ctl_remove_id 
snd_ac97_codec: Unknown symbol snd_component_add 
snd_ac97_codec: Unknown symbol snd_pcm_hw_rule_add 
snd_ac97_codec: Unknown symbol snd_iprintf 
snd_ac97_codec: Unknown symbol snd_device_new 
snd_ac97_codec: Unknown symbol snd_info_create_card_entry 
snd_ac97_codec: Unknown symbol snd_info_unregister 
snd_intel8x0: Unknown symbol snd_ac97_pcm_close 
snd_intel8x0: Unknown symbol snd_ac97_resume 
snd_intel8x0: Unknown symbol snd_pcm_new 
snd_intel8x0: Unknown symbol snd_pcm_limit_hw_rates 
snd_intel8x0: Unknown symbol snd_card_register 
snd_intel8x0: Unknown symbol snd_card_free 
snd_intel8x0: Unknown symbol snd_pcm_lib_preallocate_pages_for_all 
snd_intel8x0: Unknown symbol snd_card_proc_new 
snd_intel8x0: Unknown symbol snd_ac97_pcm_open 
snd_intel8x0: Unknown symbol snd_ac97_set_rate 
snd_intel8x0: Unknown symbol snd_ac97_update_bits 
snd_intel8x0: Unknown symbol snd_ac97_mixer 
snd_intel8x0: Unknown symbol snd_card_pci_resume 
snd_intel8x0: Unknown symbol snd_ac97_bus 
snd_intel8x0: Unknown symbol snd_ac97_pcm_double_rate_rules 
snd_intel8x0: Unknown symbol snd_card_new 
snd_intel8x0: Unknown symbol snd_ac97_suspend 
snd_intel8x0: Unknown symbol snd_iprintf 
snd_intel8x0: Unknown symbol snd_pcm_lib_malloc_pages 
snd_intel8x0: Unknown symbol snd_pcm_lib_ioctl 
snd_intel8x0: Unknown symbol snd_pcm_lib_free_pages 
snd_intel8x0: Unknown symbol snd_card_pci_suspend 
snd_intel8x0: Unknown symbol snd_pcm_set_ops 
snd_intel8x0: Unknown symbol snd_card_set_pm_callback 
snd_intel8x0: Unknown symbol snd_pcm_hw_constraint_list 
snd_intel8x0: Unknown symbol snd_device_new 
snd_intel8x0: Unknown symbol snd_ac97_get_short_name 
snd_intel8x0: Unknown symbol snd_pcm_suspend_all 
snd_intel8x0: Unknown symbol snd_ac97_pcm_assign 
snd_intel8x0: Unknown symbol snd_pcm_hw_constraint_integer 
snd_intel8x0: Unknown symbol snd_pcm_hw_constraint_msbits 
snd_intel8x0: Unknown symbol snd_pcm_period_elapsed 
snd_intel8x0: Unknown symbol snd_ac97_tune_hardware 
 
KDE reports there's no sound on the system, which is a problem since 
my modem driver has alsa as a prereq: I could live without sound for 
a while otherwise. 
 
kernel is 2.6.10-1.741_FC3 
 
I put the pci tweak in grub.conf with no effect. 
 
lsmod |grep snd only reports 
snd_page_alloc               9541 0 
everything else fails to load 
Is there some prereq module that I need to force to load before the 
snd_drivers will load properly? 
 
current modprobe.conf is: 
lias usb-controller usb-ohci 
alias usb-controller1 ehci-hcd 
alias ieee1394-controller ohci1394 
alias char-major-212 slamr 
alias char-major-213 slusb 
alias slmodem slamr 
alias char-major-116-* snd 
options snd major=116 cards_limit=1 
alias snd-card-0 snd-intel8x0 
options snd-intel8x0 index=0 id="ICH" 
alias char-major-14-* soundcore 
alias sound-service-0-0 snd-mixer-oss 
alias sound-service-0-1 snd-seq-oss 
alias sound-service-0-3 snd-pcm-oss 
alias sound-service-0-8 snd-seq-oss 
alias sound-service-0-12 snd-pcm-oss 
install sound-slot-0 /sbin/modprobe --ignore-install sound-slot-0 
&& /usr/sbin/a 
lsactl restore >/dev/null 2>&1 || :; } 
remove sound-slot-0 { /usr/sbin/alsactl store >/dev/null 2>&1 
|| :; } ; /sbin/mo 
dprobe -r --ignore-remove sound-slot-0 
 
 
 
Comment 52 Vladimir Mencl 2005-02-11 02:49:08 EST
This is a issue separate from this bug, and it has already been
resolved in the updates (I guess to modprobe,
module-init-tools-3.1-0.pre5.3, or kernel-utils-2.4-13.1.49_FC3).

As a workaround, you may comment out ANY options given to the module
snd in /etc/modprobe.conf.

### options snd cards_limit=2
Comment 53 Tao Sigh 2005-02-13 22:19:12 EST
Umm... i don't know if "Headphone Jack Sense" is only present on
laptop but i've got a FC3 desktop with kernel 2.6.10-1.760 and
snd-intel8x0 and  i can't find it out to mute it.
Otherwise, i've got some IEC958 stuffs but no clue on using them.
Has anyone got this problem ??
Comment 54 Tao Sigh 2005-02-13 22:21:41 EST
Umm... i don't know if "Headphone Jack Sense" is only present on
laptop but i've got a FC3 desktop with kernel 2.6.10-1.760 and
snd-intel8x0 and  i can't find it out to mute it.
Otherwise, i've got some IEC958 stuffs but no clue on using them.
Has anyone got this problem ??
Comment 55 Tao Sigh 2005-02-13 22:36:39 EST
Erf ! Pretty good news (actually for me ;-)! I've just handled it by
muting IEC958 Capture Monitor.
Gonna keep this brand-new kernel finally...
Thx for all the ideas from here ;)
Comment 56 Dave Jones 2005-02-14 11:40:38 EST
*** Bug 145408 has been marked as a duplicate of this bug. ***
Comment 57 Kevin Verma 2005-02-16 01:00:10 EST
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)

Think Pad R50e 1834 RYV76 with kernel 2.6.10-1_760 FC3 not working
suddenly. 
Tried the work arounds as mention here and over
http://www.ces.clemson.edu/linux/alsa.shtml no help.

Comment 58 James Hunt 2005-02-16 04:08:41 EST
Hi,

[My original comments are on boog 144858]

After an upgrade to kernel version 2.6.10-1.766_FC3, I _still_ have no sound.

Guess I'll have to reboot back to kernel 2.6.9-1.667 again... ;-(
Comment 59 Warren Togami 2005-02-18 22:33:01 EST
*** Bug 149099 has been marked as a duplicate of this bug. ***
Comment 60 Dan Williams 2005-02-24 15:58:57 EST
Dell Precision workstation 450:
Intel 82801DB-ICH4
Analog Devices AD1981B
2.6.10-1.760_FC3smp

With a headphone plugged into the front, I must mute BOTH "Headphone
Jack Sense" and "Line Jack Sense" as _root_ before I get sound through
the headphones.
Comment 61 James Hunt 2005-02-26 04:05:50 EST
I now have sound working with kernel 2.6.10-1.766_FC3. Yipee. As far as I'm
concerned, my problem is fixed.

I'm using an IBM T40 thinkpad with an Intel 82801DB-ICH4 sound card.

It wasn't obvious from the previous posts and from the somewhat truncated
headings shown in 'alsamixer' (regardless of how wide your window is!!) how to
switch off these two new pesky channels. Here's what I did:

1) Ran 'alsamixer' as root.
2) Selected column 4 labelled below the bar as "<Headphon>"
   (and labelled as, "Item: Headphone Jack Sense" in top left of screen).
3) Pressed 'm' to mute this channel.
4) Selected column 7 labelled below the bar as "<Line Jac>"
   (and labelled as "Item: Line Jack Sense" in top left of screen)
5) Pressed 'm' to mute this channel.
6) Pressed ALT+q to quit out of alsamixer.
7) Ran 'xmms' as a non-root user, and got sound!!

I may have missed something, but I usually run, "rpm -q --changelog <kernel>" to
see what new goodies a new kernel has, but I don't remember seeing anything
about new alsa channels. If I had seen this, it would have saved a lot of grief...
Comment 62 Eric Pare 2005-02-26 10:41:58 EST
Thanks, James Hunt.  This works for me too.
Comment 63 Manu 2005-03-02 16:42:41 EST
Well sorry for being the blak sheep here ;-) but this does not work
for me.
I have a HP dv1000 and I only have headphone and line buttons, no
"sense" thing around. I muted those 2 anyway no luck. I tried every
combination and no sound (sound has been tried with windows and it works).
Kernel is last updated (2.6.10-1.760)
here are the relevant messages:
Mar  2 13:48:52 private11 kernel: intel8x0_measure_ac97_clock:
measured 49920 usecs
Mar  2 13:48:52 private11 kernel: intel8x0: clocking to 48000
Mar  2 13:48:52 private11 kernel: ACPI: PCI interrupt 0000:00:1f.6[B]
-> GSI 5 (level, low) -> IRQ 5
Mar  2 13:48:52 private11 kernel: Unable to initialize codec #0

and I get a lot of those when trying to play something (sox/aplay):
Mar  2 13:48:53 private11 kernel: codec_write 0: semaphore is not
ready for register 0x2
Mar  2 13:48:53 private11 kernel: codec_write 0: semaphore is not
ready for register 0x2
Mar  2 13:48:53 private11 kernel: codec_write 0: semaphore is not
ready for register 0x4
Mar  2 13:48:53 private11 kernel: codec_write 0: semaphore is not
ready for register 0x4

Hope someone can help.
Thx
Comment 64 Russell Tokuyama 2005-03-14 15:19:06 EST
For my IBM ThinkPad R51, kernel 2.6.10-1.770_FC2, muting both the
headphone jack sense and line jack sense got the sound working.  I did
this using alsamixer as a normal (not root) user.

lspci reports:

00:1f.5 Multimedia audio controller: Intel Corp. 82801DB (ICH4) AC'97
Audio Controller (rev 01)
Comment 65 Pawel Salek 2005-04-11 10:30:17 EDT
Confirming that the workaround described in comment #60 works on another
instance of Dell Workstation 450, kernel-2.6.10-1.770_FC3smp. Perhaps the
default settings should be altered...
Comment 66 Warren Togami 2005-04-11 15:01:40 EDT
We would accept patches, however this is not an easy problem to solve because it
is reading prefs that were saved.  Even if we added versioning to the saved
preferences file, there is no good way to retroactively say "we want this pref
forced muted" when it is already saved the opposite way.
Comment 67 Brent Fox 2005-04-15 22:09:28 EDT
I can confirm that muting the "Headphone Jack Sense" channel allows me to hear
sound again.  I am running kernel-2.6.11-1.14_FC3.  

When can we expect a new kernel with this fixed by default?

Comment 68 Warren Togami 2005-04-16 02:45:48 EDT
As I mentioned several times before, it is not possible for a new kernel to fix
this by default.
Comment 69 Grant Deffenbaugh 2005-04-22 16:41:15 EDT
I am running kernel-2.6.11-1.14_FC3 and muting of the "Headphone Jack Sense" and
"Line Jack Sense" doesn't allow me to hear out of the normal line. I can however
hear of the headphone jack.

So there is still a problem.

This is on a DELL GX280 with Multimedia audio controller: 
Intel Corp. 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)

Comment 70 Stephen Krenzel 2005-05-01 01:44:46 EDT
Just verifiying that muting the lines specified in comment #69 worked for me to
get sound back. Its not a complete fix but at least I can play music again:)

On a side note, I hope FC4 doesnt ship with this bug, this card is very popular
in laptops and in my eyes it is a showstopper.

If Dave Jones needs any guinea pigs, feel free to email me.
Thanks :)
Comment 71 Edson Dino Salvati 2005-05-01 22:49:35 EDT
To me, no one of the solutions apointed here works. I have still no sound.
Except when I unload and then reload the module. On this way, the sound comes back.

Here what I did:
# rmmod snd_intel8x0
# modprobe snd_intel8x0

My kernel is 2.6.11-1.14_FC3.

Thanks.
Comment 72 Peter Zubaj 2005-05-31 15:44:26 EDT
Do you have conexant amc97 codec ? What is chip name in alsamixer (Chip: XXXXX)?
Comment 73 Oisin C. Feeley 2005-06-12 12:12:26 EDT
Card: Intel 82801DB-ICH4                                                     ││
Chip: Analog Devices AD1981B
Kernel: 2.6.11-1.27_FC3

Sound modules shown as loaded by lsmod:
snd_intel8x0m          18565  2
snd_intel8x0           34049  2
snd_ac97_codec         71097  2 snd_intel8x0m,snd_intel8x0
snd_mixer_oss          18241  2
snd_pcm                99657  3 snd_intel8x0m,snd_intel8x0,snd_ac97_codec
snd_timer              33093  1 snd_pcm
snd                    56741  10
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_mixer_oss,snd_pcm,snd_timer
soundcore              10785  3 snd
snd_page_alloc          9669  3 snd_intel8x0m,snd_intel8x0,snd_pcm


Used alsamixer, as suggested above, to mute linejacksense and headphonejacksense
and still no sound (out of headphones or speakers)
Comment 74 Peter Quiring 2005-06-17 11:51:59 EDT
I had a similar problem with my Intel 82801DB-ICH4.
The Microphone Mute didn't help, but the last option "External" was muted (the
default should be on!).
I never knew about alsamixer.
I have a Dell Inspiron 5150.

Thanks for the info.
Comment 75 Jose Maria Ferri 2005-06-25 18:49:17 EDT
Same problem with intel8x0 and FC4 (kernel 2.6.11-1.1369_FC4), mute headphone
doesn't work.
Comment 76 Jose Maria Ferri 2005-06-25 18:57:31 EDT
Oh my God!!!! It is solved!!!! After one week searching information....
I just had to enable "External Amplifier" in alsamixer...
Comment 77 Michael Christofilopoulos 2005-06-29 11:04:12 EDT
Could someone replay to the post #63 ? I have the samw problem, and mutting the
chanels solved nothing. Thanks anyway...
Comment 78 George 2005-07-01 03:04:11 EDT
I may have a solution:
ADD to /etc/rc.d/rc.local or to your local boot script 
/sbin/insmod /full_path_to_driver/snd_intel8x0.ko
worked 4me (with a snd_via82cxx driver, same thing but i loaded my snd_via...
module)
and 4 a friend with snd_intel8x0 driver 
I had errors like 
snd_intel8x0: Unknown parameter `'
Using fc4 with 2.6.11.10 kernel
Comment 79 Michael Christofilopoulos 2005-07-01 08:21:35 EDT
That didnt work for me. I get the message that the modules are already loaded.
Comment 80 Daya 2005-07-14 19:01:05 EDT
Try commenting line that start with alias and options related snd-intel8x0

this worked for me on t42
Comment 81 Daya 2005-07-14 19:01:55 EDT
Try commenting line that start with alias and options related snd-intel8x0
this worked for me on t42(In reply to comment #79)
Comment 82 Dave Jones 2005-07-15 16:24:09 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 83 Rainer Traut 2005-07-30 09:08:34 EDT
This is fc3 with 2.6.12-1.1372_FC3

It's a DELL GX280 which still suffers from this problem.
Master volume is of no use, have to slide headphone and PCM to get output.
Can mute master volume, but sound still plays.
Comment 84 Warren Togami 2005-07-30 16:16:22 EDT
*** Bug 150516 has been marked as a duplicate of this bug. ***
Comment 85 Marius Andreiana 2005-08-02 08:14:07 EDT
Thanks Jose, comment #76 solved it for me too on FC4 with latest updates (I
don't have any headphones sense setting).

Bug #137637 has more info about other hardware not working, and it's marked with
severity High. Should this be high too?

More info:
# dmesg|grep snd
snd_intel8x0: Unknown parameter `'

# cat /etc/modprobe.conf
alias eth1 ipw2200
alias eth0 tg3
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
options snd-intel8x0 index=0
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias eth2 usbnet

# cat /etc/grub.conf
..
title Fedora Core (2.6.12-1.1398_FC4)
        root (hd0,5)
        kernel /boot/vmlinuz-2.6.12-1.1398_FC4 ro root=LABEL=/ quiet
        initrd /boot/initrd-2.6.12-1.1398_FC4.img

Comment 86 Marius Andreiana 2005-08-02 08:17:07 EDT
*** Bug 137637 has been marked as a duplicate of this bug. ***
Comment 87 Marius Andreiana 2005-08-02 08:19:17 EDT
*** Bug 140590 has been marked as a duplicate of this bug. ***
Comment 88 Dave Jones 2005-08-03 20:21:50 EDT
this bug has become almost impossible to diagnose due to it having such a 'catch
all' summary, making for a number of unrelated issues with completely different
drivers being filed here.

If this is still a problem for you with all the latest updates installed, and
you've tried enabling the various switches in the volume control applet
(note that edit->preferences will allow you to enable extra controls) that may
not be visible by default), then please let the ALSA developers know about it in
their upstream bug tracker at https://bugtrack.alsa-project.org/

Thanks.
Comment 89 Kevin Old 2005-08-09 19:53:21 EDT
(In reply to comment #74)
> I had a similar problem with my Intel 82801DB-ICH4.
> The Microphone Mute didn't help, but the last option "External" was muted (the
> default should be on!).
> I never knew about alsamixer.
> I have a Dell Inspiron 5150.
> 
> Thanks for the info.

I have had the same luck with the "External" option being muted.
I have a Toshiba Satellite M30X-S171T.
Comment 90 Kevin Old 2005-08-09 19:54:56 EDT
(In reply to comment #74)
> I had a similar problem with my Intel 82801DB-ICH4.
> The Microphone Mute didn't help, but the last option "External" was muted (the
> default should be on!).
> I never knew about alsamixer.
> I have a Dell Inspiron 5150.
> 
> Thanks for the info.

I have had the same luck with the "External" option being muted.
I have a Toshiba Satellite M30X-S171T.  I'm running kernel-2.6.12-1.1398_FC4
Comment 91 Marius Andreiana 2005-08-15 14:36:43 EDT
FYI: Filled upstream as
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=1338

Let's see how that's solved and then, if it's the case, please submit other bugs
for other alsamixer settings.
Comment 92 Marius Andreiana 2005-08-16 03:04:52 EDT
Dave, upstream said:
"Sound card mute by default" is not a bug, this is by design.  Besides this
is policy so must stay out of the kernel.  The distro is reponsible for
providing reasonable defaults for the mixer.


So, should we open a new bug saying what most of the above comments said, that
for the cards who have it, "External Amplifier" and "Headphone Jack Sense"
shouldn't be mute by default in fedora?

Thanks
Comment 93 Martin Stransky 2005-08-16 04:00:02 EDT
Please create a new bug for alsa-utils and attach output of "amixer" when sound
works and when it doesn't (Probably with changed "External Amplifier" and
"Headphone Jack Sense"). And attach please output of 'aplay -l' and 'lsmod' too.
Comment 94 Marius Andreiana 2005-08-16 09:59:03 EDT
I've put back External Amplifier to Off (was Off by default, turning on solved
the issue for me and Jose in comment #76), but now sound works with it off too.
I don't have "Headphone Jack Sense" in alsamixer.

Can anybody else replicate please with one of the two settings?
Comment 95 Marius Andreiana 2005-08-17 11:43:03 EDT
Got it, filled bug #166153
Comment 96 PE Meunier 2005-08-25 05:05:09 EDT
Got the same problem, with an "Unknown parameter" when I inserted module
snd-intel8x0 into my 2.6.12 kernel. I found this web page useful for what to put
in /etc/modprobe.conf :

http://www.alsa-project.org/alsa-doc/doc-php/template.php?company=Intel&card=.&chip=440MX%2C+i810%2C+i810%2C+i810E%2C+i820%2C+i820&module=intel8x0#modp
Comment 97 Warren Togami 2005-08-25 22:00:08 EDT
*** Bug 166770 has been marked as a duplicate of this bug. ***
Comment 98 Ngo Than 2005-09-12 09:57:00 EDT
*** Bug 162228 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.